/* colo-codes {
   FFE9D6, FF9A3D, FF7A00, FFCD9E, FF0000
} */

*{
    margin: 0;
    padding: 0;
}

body{
    overflow-x: hidden;
}

#table{
   margin-bottom: 30px;
}
.message{
    color: red;
    text-align: center;
    margin-bottom: 10px;
}

#intro{
    background-color: #FFE9D6;
    padding: 10px;
}

#header{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.menu-list{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    list-style-type: none;
    margin-top: 12px;
    padding: 10px;
}

.menu-items{
    margin-left: 50px;
    font-size: 22px;
}

#cart-btn{
    background-color: #FF7A00;
    border-radius: 30px;
    width: 120px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    padding: 2px;
}

#cart-val{
    font-size: 50px;
    color: #fff;
}

#headline{
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 90%;
    margin: 0 auto;
}

#headline h1{
    color: #FF7A00;
    font-size: 4em;
    line-height: 1.5em;
    margin-left: 90px;
    margin-top: 80px;
}

#btn-div{
   margin-top: -92px;
   width: 100%;
   text-align: center;
}

#shop-btn{
    padding: 15px;
    background-color: #FF7A00;
    border: none;
    outline: none;
    border-radius: 15px;
    color: #FFF;
    margin: 0 auto;
    width: 20%;
    font-weight: bold;
}

#about{
    background-color: #000;
    padding: 50px;
    text-align: center;
}

#about p {
    color: #fff;
    font-size: 1.2em;
    line-height: 1.4em;
}

#products{
    text-align: center;
    padding: 20px;
}

#products h1{
    padding: 10px;
    margin-bottom: 30px;
}

.add-btn{
    background-color: #FF7A00;
    border: none;
    outline: none;
    padding: 10px;
    color: #000;
    margin-top: 15px;
    border-radius: 10px;
    font-weight: bold;
    width: 55%;
}

#products-container{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    width: 80%;
    margin: 0 auto;
}

.items{
  margin-bottom: 50px;
}

.item_overlay{
    margin: 0 auto;
    position: relative;
    width: 250px;
}

.product-img{
  width: 100%;
  display: block;
}

.img__overlay{
    position: absolute;
    top: 0;
    left: 0%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    opacity: 0;
    transition: all .35s;
    border-radius: 5px;
}

.img__overlay:hover{
  opacity: 1;
}

.img__overlay h2{
    text-decoration: underline;
}

#footer{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    background-color: #000;
    padding: 20px;
}

#footer p{
    color: #FFE9D6;
}

#cart-modal{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 1;
    display: none;
    overflow: scroll;
}

#modal{
    background-color: #fff;
    width: 50%;
    margin: 0 auto;
    margin-top: 20px;
    padding: 10px;
}

#summary{
    position: absolute;
    top: 30px;
    left: 300px;
    background-color: #fff;
    width: 40%;
    margin: 0 auto;
    margin-top: 20px;
    padding: 10px;
    text-align: center;
    display: none;
    overflow: scroll;
}

#summary-img{
 width: 20%;
 margin: 20px;
}

#summary-table{
    padding: 5px;
}

#summary-table th, td{
    width: 150px;
    text-align: center;
    padding: 5px;
}

.ok-btn{
    background-color: #FF7A00;
    border: none;
    outline: none;
    padding: 5px;
    color: #fff;
    font-size: 1em;
    border-radius: 10px;
    width: 30%;
    margin-right: -250px;
}

input{
    display: block;
    padding: 10px;
    width: 70%;
    margin: 0 auto;
    margin-bottom: 3px;
    border: inset;
    background-color: #FFE9D6;
}

.amount{
    text-align: center;
    padding: 20px;
}

.amount h1{
    margin-bottom: 15px;
}

.checkout_btn{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.ctn{
    background-color: #FFE9D6;
    border: none;
    outline: none;
    padding: 20px;
    font-size: 1.1em;
    border-radius: 10px;
}

.checkout{
    background-color: #FF7A00;
    border: none;
    outline: none;
    padding: 20px;
    font-size: 1.1em;
    border-radius: 10px;
    width: 30%;
    margin-left: 10px;
}

.remove{
    background-color: #FF7A00;
    border: none;
    outline: none;
    font-size: 15px;
    color: #000;
    padding: 5px;
    border-radius: 5px;
    width: 100%;
}

.inc{
    background-color: #FF7A00;
    font-size: 20px;
    font-weight: bolder;
    border-radius: 10px;
    padding: 5px;
    color: #fff;
    cursor: pointer;
}

.val{
    margin: 5px;
}

a{
    text-decoration: none;
    color: #000;
}

th, td{
    padding: 10px;
    text-align: center;
}